// @APIVersion 1.0.0
// @Title oc-shared
// @Description Manages shared workspaces and their synchronization
// @Contact admin@o-cloud.io
// @TermsOfServiceUrl http://cloud.o-forge.io/
// @License AGPL
// @LicenseUrl https://www.gnu.org/licenses/agpl-3.0.html
package routers

import (
	"oc-shared/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/oc/",
		beego.NSNamespace("/collaborative_area",
			beego.NSInclude(
				&controllers.CollaborativeAreaController{},
			),
			beego.NSNamespace("/rule",
				beego.NSInclude(
					&controllers.RuleController{},
				),
			),
		),
		beego.NSNamespace("/version",
			beego.NSInclude(
				&controllers.VersionController{},
			),
		),
	)

	beego.AddNamespace(ns)
}
